from . import subscribe, active_triggers
from . import unsubscribe
from . import my_subscriptions
from . import cancel_input
from . import notification_switch_mode
from . import help
from . import registration
from . import settings
from . import start
from . import debug
from ..states import UserStateManager

state_manager = UserStateManager()
#Регистрация message_handler кнопок и команд
def register_handlers(bot, app):
    #Главная кнопка
    start.register_handlers(bot, app, state_manager)
    #Кнопки настроек
    my_subscriptions.register_handlers(bot, app, state_manager)
    subscribe.register_handlers(bot, app, state_manager)
    unsubscribe.register_handlers(bot, app, state_manager)
    notification_switch_mode.register_handlers(bot, app, state_manager)
    #Кнопки главного меню
    help.register_handlers(bot, app, state_manager)
    registration.register_handlers(bot, state_manager)
    settings.register_handlers(bot, app, state_manager)
    debug.register_handlers(bot, app, state_manager)
    active_triggers.register_active_triggers(bot, app, state_manager)

#Регистрация callback_data кнопок
def register_callbacks(bot, app):
    notification_switch_mode.register_callback_notification(bot, app, state_manager)
    active_triggers.register_callbacks_active_triggers(bot, app, state_manager)
    cancel_input.register_callback_cancel_input(bot,state_manager)